/**
 * 
 */
package de.intevation.gnv.geobackend.sde.datasources.exception;

import org.apache.log4j.Logger;

/**
 * The class <code>TechnicalException</code> fulfills the following purposes:
 *
 * @author blume
 * @author Tim Englich <tim.englich@intevation.de>
 */
public class TechnicalException extends Exception{

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = -5296559414323169553L;

    /**
     * Default Logging instance
     */
    private static Logger sLogger = Logger.getLogger(TechnicalException.class);

    /**
     * Constructs a new exception with <code>null</code> as its detail message.
     * The cause is not initialized, and may subsequently be initialized by a
     * call to {@link #initCause}.
     */
    public TechnicalException() {
    }

    /**
     * Constructs a new exception with the specified detail message.  The
     * cause is not initialized, and may subsequently be initialized by
     * a call to {@link #initCause}.
     *
     * @param message the detail message. The detail message is saved for
     *                later retrieval by the {@link #getMessage()} method.
     */
    public TechnicalException(String message) {
        super(message);
    }

    /**
     * Constructor
     * @param pCause the Throwable which cause this exception
     */
    public TechnicalException(Throwable pCause) {
        super(pCause);
    }

    /**
     * Constructs a new exception with the specified detail message and
     * cause.  <p>Note that the detail message associated with
     * <code>cause</code> is <i>not</i> automatically incorporated in
     * this exception's detail message.
     *
     * @param message the detail message (which is saved for later retrieval
     *                by the {@link #getMessage()} method).
     * @param cause   the cause (which is saved for later retrieval by the
     *                {@link #getCause()} method).  (A <tt>null</tt> value is
     *                permitted, and indicates that the cause is nonexistent or
     *                unknown.)
     * @since 1.4
     */
    public TechnicalException(String message, Throwable cause) {
        super(message, cause);
    }
}
